> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rhinestone.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit Intent Operations

> Submit signed intent operations for processing. This endpoint accepts signed intent operations containing cross-chain token transfers and executions.



## OpenAPI

````yaml https://raw.githubusercontent.com/rhinestonewtf/openapi/refs/heads/main/orchestrator.json post /intent-operations
openapi: 3.0.2
info:
  title: Rhinestone Orchestrator API
  version: 1.0.0
servers:
  - url: https://v1.orchestrator.rhinestone.dev
security: []
paths:
  /intent-operations:
    post:
      tags: []
      summary: Submit Intent Operations
      description: >-
        Submit signed intent operations for processing. This endpoint accepts
        signed intent operations containing cross-chain token transfers and
        executions.
      parameters:
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
            description: Rhinestone API key
        - name: x-api-version
          in: header
          schema:
            type: string
            pattern: ^\d{4}-\d{2}\.[a-z0-9]+$
            description: >-
              API version (YYYY-MM.name). Will become required in a future
              release.
            example: 2026-01.alps
      requestBody:
        description: Body
        content:
          application/json:
            schema:
              type: object
              properties:
                signedIntentOp:
                  type: object
                  properties:
                    sponsor:
                      type: string
                      description: Address sponsoring the transaction
                      example: '0x8a310b9085faF5d9464D84C3d9a7BE3b28c94531'
                    nonce:
                      type: integer
                      format: int64
                      description: Transaction nonce
                      example: '0'
                    targetExecutionNonce:
                      type: integer
                      format: int64
                      description: Target execution nonce
                      example: '0'
                    expires:
                      type: integer
                      format: int64
                      description: Expiration timestamp
                      example: '1733493192'
                    elements:
                      type: array
                      items:
                        type: object
                        properties:
                          arbiter:
                            type: string
                            description: Arbiter address for the element
                            example: '0x8a310b9085faF5d9464D84C3d9a7BE3b28c94531'
                          chainId:
                            type: integer
                            format: int64
                            description: Chain ID where the element is executed
                            example: '1'
                          idsAndAmounts:
                            description: Array of [tokenId, amount] pairs
                            example:
                              - - '1'
                                - '1000000'
                              - - '2'
                                - '2000000'
                          spendTokens:
                            description: >-
                              Array of [tokenId, amount] pairs that were
                              effectively used as resource locks
                            example:
                              - - '1'
                                - '1000000'
                              - - '2'
                                - '2000000'
                          mandate:
                            type: object
                            properties:
                              recipient:
                                type: string
                                description: Recipient address for the mandate
                                example: '0x579d5631f76126991c00fb8fe5467fa9d49e5f6a'
                              tokenOut:
                                description: >-
                                  Array of [tokenId, amount] pairs for output
                                  tokens
                                example:
                                  - - '1'
                                    - '1000000'
                                  - - '2'
                                    - '2000000'
                              destinationChainId:
                                type: integer
                                format: int64
                                description: Target chain ID for the mandate
                                example: '8453'
                              fillDeadline:
                                type: integer
                                format: int64
                                description: Deadline timestamp for filling the mandate
                                example: '1733493192'
                              preClaimOps:
                                description: Executions to perform before claiming
                              destinationOps:
                                description: Executions to perform on the target chain
                              qualifier:
                                type: object
                                properties:
                                  settlementContext:
                                    discriminator:
                                      propertyName: settlementLayer
                                    oneOf:
                                      - type: object
                                        properties:
                                          settlementLayer:
                                            type: string
                                            enum:
                                              - INTENT_EXECUTOR
                                            description: Settlement layer for the qualifier
                                            example: INTENT_EXECUTOR
                                          using7579:
                                            type: boolean
                                            description: >-
                                              true for ERC7579 smart accounts, false
                                              for EOAs (MULTICALL execution)
                                            example: true
                                          fundingMethod:
                                            type: string
                                            enum:
                                              - NO_FUNDING
                                            description: Must be NO_FUNDING for INTENT_EXECUTOR
                                            example: NO_FUNDING
                                          gasRefund:
                                            type: object
                                            properties:
                                              overhead:
                                                type: integer
                                                format: int64
                                                description: >-
                                                  Overhead gas amount add to gas spent
                                                  when executing destination ops
                                              exchangeRate:
                                                type: integer
                                                format: int64
                                                description: >-
                                                  Exchange rate between token selected for
                                                  gas refund and native token consumed for
                                                  gas
                                              token:
                                                type: string
                                                description: >-
                                                  token address which will be used for gas
                                                  refunding
                                            required:
                                              - overhead
                                              - exchangeRate
                                              - token
                                            description: gas refund information
                                          prefundAmount:
                                            type: integer
                                            format: int64
                                            description: >-
                                              Native ETH the relayer sends to user
                                              before execution (e.g. OFT lzFee)
                                          bridgeFill:
                                            discriminator:
                                              propertyName: type
                                            oneOf:
                                              - type: object
                                                properties:
                                                  destinationChainId:
                                                    type: number
                                                    description: Destination chain ID for the bridge fill
                                                  type:
                                                    type: string
                                                    enum:
                                                      - OFT
                                                    description: Bridge type
                                                required:
                                                  - destinationChainId
                                                  - type
                                              - type: object
                                                properties:
                                                  destinationChainId:
                                                    type: number
                                                    description: Destination chain ID for the bridge fill
                                                  type:
                                                    type: string
                                                    enum:
                                                      - RELAY
                                                    description: Bridge type
                                                  requestId:
                                                    type: string
                                                    description: Relay API request ID
                                                required:
                                                  - destinationChainId
                                                  - type
                                                  - requestId
                                              - type: object
                                                properties:
                                                  destinationChainId:
                                                    type: number
                                                    description: Destination chain ID for the bridge fill
                                                  type:
                                                    type: string
                                                    enum:
                                                      - NEAR
                                                    description: Bridge type
                                                  depositAddress:
                                                    type: string
                                                    description: >-
                                                      NEAR 1Click deposit address for status
                                                      tracking
                                                required:
                                                  - destinationChainId
                                                  - type
                                                  - depositAddress
                                              - type: object
                                                properties:
                                                  destinationChainId:
                                                    type: number
                                                    description: Destination chain ID for the bridge fill
                                                  type:
                                                    type: string
                                                    enum:
                                                      - RHINO
                                                    description: Bridge type
                                                  commitmentId:
                                                    type: string
                                                    description: >-
                                                      Rhino.fi commitment ID (hex ObjectId)
                                                      for fill tracking
                                                required:
                                                  - destinationChainId
                                                  - type
                                                  - commitmentId
                                            description: >-
                                              Bridge-as-fill metadata for cross-chain
                                              delivery tracking
                                        required:
                                          - settlementLayer
                                          - using7579
                                          - fundingMethod
                                          - gasRefund
                                      - type: object
                                        properties:
                                          settlementLayer:
                                            type: string
                                            enum:
                                              - SAME_CHAIN
                                            description: Settlement layer for the qualifier
                                            example: SAME_CHAIN
                                          using7579:
                                            type: boolean
                                            description: Whether to use 7579
                                            example: false
                                          fundingMethod:
                                            type: string
                                            enum:
                                              - COMPACT
                                              - PERMIT2
                                              - NO_FUNDING
                                            description: The method of funding the intent
                                            example: PERMIT2
                                          bridgeFill:
                                            discriminator:
                                              propertyName: type
                                            oneOf:
                                              - type: object
                                                properties:
                                                  destinationChainId:
                                                    type: number
                                                    description: Destination chain ID for the bridge fill
                                                  type:
                                                    type: string
                                                    enum:
                                                      - OFT
                                                    description: Bridge type
                                                required:
                                                  - destinationChainId
                                                  - type
                                              - type: object
                                                properties:
                                                  destinationChainId:
                                                    type: number
                                                    description: Destination chain ID for the bridge fill
                                                  type:
                                                    type: string
                                                    enum:
                                                      - RELAY
                                                    description: Bridge type
                                                  requestId:
                                                    type: string
                                                    description: Relay API request ID
                                                required:
                                                  - destinationChainId
                                                  - type
                                                  - requestId
                                              - type: object
                                                properties:
                                                  destinationChainId:
                                                    type: number
                                                    description: Destination chain ID for the bridge fill
                                                  type:
                                                    type: string
                                                    enum:
                                                      - NEAR
                                                    description: Bridge type
                                                  depositAddress:
                                                    type: string
                                                    description: >-
                                                      NEAR 1Click deposit address for status
                                                      tracking
                                                required:
                                                  - destinationChainId
                                                  - type
                                                  - depositAddress
                                              - type: object
                                                properties:
                                                  destinationChainId:
                                                    type: number
                                                    description: Destination chain ID for the bridge fill
                                                  type:
                                                    type: string
                                                    enum:
                                                      - RHINO
                                                    description: Bridge type
                                                  commitmentId:
                                                    type: string
                                                    description: >-
                                                      Rhino.fi commitment ID (hex ObjectId)
                                                      for fill tracking
                                                required:
                                                  - destinationChainId
                                                  - type
                                                  - commitmentId
                                            description: >-
                                              Bridge-as-fill metadata for cross-chain
                                              delivery tracking
                                        required:
                                          - settlementLayer
                                          - using7579
                                          - fundingMethod
                                      - type: object
                                        properties:
                                          settlementLayer:
                                            type: string
                                            enum:
                                              - ACROSS
                                            description: Settlement layer for the qualifier
                                            example: ACROSS
                                          using7579:
                                            type: boolean
                                            description: Whether to use 7579
                                            example: false
                                          fundingMethod:
                                            type: string
                                            enum:
                                              - COMPACT
                                              - PERMIT2
                                              - NO_FUNDING
                                            description: The method of funding the intent
                                            example: PERMIT2
                                        required:
                                          - settlementLayer
                                          - using7579
                                          - fundingMethod
                                      - type: object
                                        properties:
                                          settlementLayer:
                                            type: string
                                            enum:
                                              - ECO
                                            description: Settlement layer for the qualifier
                                            example: ECO
                                          using7579:
                                            type: boolean
                                            description: Whether to use 7579
                                            example: false
                                          fundingMethod:
                                            type: string
                                            enum:
                                              - COMPACT
                                              - PERMIT2
                                              - NO_FUNDING
                                            description: The method of funding the intent
                                            example: PERMIT2
                                          provingFee:
                                            type: integer
                                            format: int64
                                            description: >-
                                              Hyperlane relay fee for proof dispatch
                                              (in destination chain native token)
                                        required:
                                          - settlementLayer
                                          - using7579
                                          - fundingMethod
                                          - provingFee
                                      - type: object
                                        properties:
                                          settlementLayer:
                                            type: string
                                            enum:
                                              - RELAY
                                            description: Settlement layer for the qualifier
                                            example: RELAY
                                          using7579:
                                            type: boolean
                                            description: Whether to use 7579
                                            example: false
                                          fundingMethod:
                                            type: string
                                            enum:
                                              - COMPACT
                                              - PERMIT2
                                              - NO_FUNDING
                                            description: The method of funding the intent
                                            example: PERMIT2
                                          requestId:
                                            type: string
                                            description: >-
                                              Relay settlement layer metadata to be
                                              broadcasted
                                          orderId:
                                            type: string
                                            description: >-
                                              Relay v2 order ID used in the deposit
                                              contract calldata
                                          subsidizedAmount:
                                            type: string
                                            description: >-
                                              Relay settlement layer subsidized amount
                                              on the intent (denomination in USDC)
                                          multicallData:
                                            type: string
                                            description: >-
                                              ABI-encoded params for
                                              IRelayRouterV3.multicall, used for
                                              origin swaps via Relay contracts
                                          preClaimValidationGas:
                                            type: integer
                                            format: int64
                                            description: >-
                                              Estimated pre-claim validation gas used
                                              for originGasOverhead and
                                              preClaimGasStipend
                                        required:
                                          - settlementLayer
                                          - using7579
                                          - fundingMethod
                                          - requestId
                                          - orderId
                                      - type: object
                                        properties:
                                          settlementLayer:
                                            type: string
                                            enum:
                                              - NEAR
                                            description: Settlement layer for the qualifier
                                            example: NEAR
                                          using7579:
                                            type: boolean
                                            description: Whether to use 7579
                                            example: false
                                          fundingMethod:
                                            type: string
                                            enum:
                                              - COMPACT
                                              - PERMIT2
                                              - NO_FUNDING
                                            description: The method of funding the intent
                                            example: PERMIT2
                                          depositAddress:
                                            type: string
                                            description: >-
                                              NEAR-provided deposit address on the
                                              origin chain
                                          correlationId:
                                            type: string
                                            description: >-
                                              NEAR correlation ID for tracking the
                                              intent
                                        required:
                                          - settlementLayer
                                          - using7579
                                          - fundingMethod
                                          - depositAddress
                                          - correlationId
                                      - type: object
                                        properties:
                                          settlementLayer:
                                            type: string
                                            enum:
                                              - RHINO
                                            description: Settlement layer for the qualifier
                                            example: RHINO
                                          using7579:
                                            type: boolean
                                            description: Whether to use 7579
                                            example: false
                                          fundingMethod:
                                            type: string
                                            enum:
                                              - COMPACT
                                              - PERMIT2
                                              - NO_FUNDING
                                            description: The method of funding the intent
                                            example: PERMIT2
                                          quoteId:
                                            type: string
                                            description: >-
                                              Rhino.fi quote identifier — committed
                                              quote that becomes the commitmentId for
                                              the on-chain deposit
                                        required:
                                          - settlementLayer
                                          - using7579
                                          - fundingMethod
                                          - quoteId
                                  encodedVal:
                                    type: string
                                    pattern: ^0x[a-fA-F0-9]*$
                                    description: Encoded qualification value
                                    example: 0x...
                                required:
                                  - settlementContext
                                  - encodedVal
                                description: Qualification data for the mandate
                              minGas:
                                type: integer
                                format: int64
                                description: Mininimum gas for preclaim ops
                                example: '0'
                              swapDestinations:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    tokenIn:
                                      type: string
                                    amountIn:
                                      type: integer
                                      format: int64
                                    amountOut:
                                      type: integer
                                      format: int64
                                    slippage:
                                      type: number
                                    quoter:
                                      type: string
                                    executions:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          to:
                                            type: string
                                            description: Target contract address for execution
                                            example: >-
                                              0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913
                                          value:
                                            type: integer
                                            format: int64
                                            description: >-
                                              Amount of ETH (in wei) sent in the
                                              execution
                                            example: '0'
                                          data:
                                            type: string
                                            pattern: ^0x[a-fA-F0-9]*$
                                            description: Encoded function call data
                                            example: >-
                                              0xa9059cbb000000000000000000000000579d5631f76126991c00fb8fe5467fa9d49e5f6a00000000000000000000000000000000000000000000000000000000000f4240
                                          senderAddressPlaceholder:
                                            type: string
                                          recipientAddressPlaceholder:
                                            type: string
                                        required:
                                          - to
                                          - value
                                          - data
                                    outputDecimals:
                                      type: number
                                    outputSymbol:
                                      type: string
                                  required:
                                    - tokenIn
                                    - amountIn
                                    - amountOut
                                    - slippage
                                    - quoter
                                    - executions
                                    - outputDecimals
                                    - outputSymbol
                                  nullable: true
                                description: >-
                                  Swap execution data for arbitrary output
                                  tokens, aligned by index with tokenOut
                            required:
                              - recipient
                              - tokenOut
                              - destinationChainId
                              - fillDeadline
                              - preClaimOps
                              - destinationOps
                              - qualifier
                              - minGas
                            description: Mandate containing execution details
                          swapOrigins:
                            type: object
                            additionalProperties:
                              type: object
                              properties:
                                tokenIn:
                                  type: string
                                tokenOut:
                                  type: string
                                amountIn:
                                  type: integer
                                  format: int64
                                amountOut:
                                  type: integer
                                  format: int64
                                slippage:
                                  type: number
                                quoter:
                                  type: string
                                executions:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      to:
                                        type: string
                                        description: Target contract address for execution
                                        example: >-
                                          0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913
                                      value:
                                        type: integer
                                        format: int64
                                        description: >-
                                          Amount of ETH (in wei) sent in the
                                          execution
                                        example: '0'
                                      data:
                                        type: string
                                        pattern: ^0x[a-fA-F0-9]*$
                                        description: Encoded function call data
                                        example: >-
                                          0xa9059cbb000000000000000000000000579d5631f76126991c00fb8fe5467fa9d49e5f6a00000000000000000000000000000000000000000000000000000000000f4240
                                      senderAddressPlaceholder:
                                        type: string
                                      recipientAddressPlaceholder:
                                        type: string
                                    required:
                                      - to
                                      - value
                                      - data
                                inputDecimals:
                                  type: number
                                inputSymbol:
                                  type: string
                                price:
                                  type: number
                                gasEstimate:
                                  type: number
                              required:
                                - tokenIn
                                - tokenOut
                                - amountIn
                                - amountOut
                                - slippage
                                - quoter
                                - executions
                                - inputDecimals
                                - inputSymbol
                                - price
                            description: >-
                              Swap execution data for arbitrary input tokens,
                              keyed by spendToken address
                        required:
                          - arbiter
                          - chainId
                          - idsAndAmounts
                          - spendTokens
                          - mandate
                      description: Array of execution elements
                    serverSignature:
                      type: string
                      pattern: ^[0-9a-f]{64}$
                      description: Intent operation HMAC digest
                      example: 0x...
                    signedMetadata:
                      type: object
                      properties:
                        schemeId:
                          type: string
                          description: Serialization scheme identifier
                          example: v1
                        tokenPrices:
                          type: object
                          additionalProperties:
                            type: number
                          description: Token prices in USD
                          example:
                            USDC: 1
                            WETH: 2000
                        gasPrices:
                          type: object
                          additionalProperties:
                            type: integer
                            format: int64
                          description: Gas prices per chain in wei
                          example:
                            '1': '20000000000'
                            '10': '1000000000'
                        opGasParams:
                          type: object
                          properties:
                            estimatedCalldataSize:
                              type: number
                          additionalProperties:
                            type: object
                            properties:
                              l1BaseFee:
                                type: integer
                                format: int64
                              l1BlobBaseFee:
                                type: integer
                                format: int64
                              baseFeeScalar:
                                type: integer
                                format: int64
                              blobFeeScalar:
                                type: integer
                                format: int64
                            required:
                              - l1BaseFee
                              - l1BlobBaseFee
                              - baseFeeScalar
                              - blobFeeScalar
                          description: Optimism network gas parameters per chain
                          example:
                            '10':
                              l1BaseFee: '100'
                              l1BlobBaseFee: '100'
                              baseFeeScalar: '100'
                              blobFeeScalar: '100'
                        account:
                          type: object
                          properties:
                            address:
                              type: string
                              description: Account address
                              example: '0x579d5631f76126991c00fb8fe5467fa9d49e5f6a'
                            accountType:
                              type: string
                              enum:
                                - smartAccount
                                - GENERIC
                                - EOA
                                - ERC7579
                              description: Account type
                            setupOps:
                              type: array
                              items:
                                type: object
                                properties:
                                  to:
                                    type: string
                                    description: Account deployment factory address
                                    example: '0x579d5631f76126991c00fb8fe5467fa9d49e5f6a'
                                  data:
                                    type: string
                                    pattern: ^0x[a-fA-F0-9]*$
                                    description: Account deployment data
                                    example: 0x...
                                required:
                                  - to
                                  - data
                              description: >-
                                Setup operations for the smart account. Only
                                used if the account is not deployed
                            emissaryConfig:
                              type: object
                              properties:
                                validatorAddress:
                                  type: string
                                  description: Address of the validator contract
                                  example: '0x579d5631f76126991c00fb8fe5467fa9d49e5f6a'
                                emissaryAddress:
                                  type: string
                                  description: Address of the emissary contract
                                  example: '0x579d5631f76126991c00fb8fe5467fa9d49e5f6a'
                                emissaryEnable:
                                  type: object
                                  properties:
                                    allocatorSig:
                                      type: string
                                      pattern: ^0x[a-fA-F0-9]*$
                                      description: Signature of the allocator
                                      example: 0x...
                                    userSig:
                                      type: string
                                      pattern: ^0x[a-fA-F0-9]*$
                                      description: Signature of the user
                                      example: 0x...
                                    expires:
                                      type: integer
                                      format: int64
                                      description: Expiration timestamp
                                      example: '1733493192'
                                    nonce:
                                      type: integer
                                      format: int64
                                      description: Nonce
                                      example: '0'
                                    allChainIds:
                                      type: array
                                      items:
                                        type: integer
                                        format: int64
                                      description: All chain IDs
                                      example:
                                        - 1
                                        - 10
                                        - 137
                                    chainIndex:
                                      type: integer
                                      format: int64
                                      description: Chain index
                                      example: '0'
                                  required:
                                    - allocatorSig
                                    - userSig
                                    - expires
                                    - nonce
                                    - allChainIds
                                    - chainIndex
                                  description: Emissary enable data
                                  example:
                                    allocatorSig: 0x...
                                    userSig: 0x...
                                settings:
                                  type: object
                                  properties:
                                    configId:
                                      type: number
                                      maximum: 255
                                      description: >-
                                        Unique identifier for the emissary
                                        configuration
                                      example: '42'
                                    allocator:
                                      default: >-
                                        0xc7732071e3a1be6cfce6d13bb05699a31a457679
                                      type: string
                                      description: Address of the allocator
                                      example: >-
                                        0x579d5631f76126991c00fb8fe5467fa9d49e5f6a
                                    scope:
                                      default: 0
                                      type: number
                                      description: Scope of the emissary
                                      example: 1
                                    resetPeriod:
                                      default: 6
                                      type: number
                                      description: Reset period of the emissary
                                      example: 1
                                    validator:
                                      type: string
                                      description: Address of the validator
                                      example: >-
                                        0x579d5631f76126991c00fb8fe5467fa9d49e5f6a
                                    validatorConfig:
                                      type: string
                                      pattern: ^0x[a-fA-F0-9]*$
                                      description: Validator configuration
                                      example: 0x...
                                  required:
                                    - configId
                                    - validator
                                    - validatorConfig
                                  description: Emissary configuration
                                  example:
                                    allocator: '0x579d5631f76126991c00fb8fe5467fa9d49e5f6a'
                              required:
                                - validatorAddress
                                - emissaryAddress
                                - emissaryEnable
                                - settings
                              description: >-
                                Emissary configuration for using resource
                                locking
                            mockSignature:
                              type: string
                              pattern: ^0x[a-fA-F0-9]*$
                              description: >-
                                Pre-encoded SSX enable payload with a dummy
                                userSig for gas estimation. When present, the
                                orchestrator etches the simulation emissary and
                                uses this as emissaryData.
                            accountContext:
                              type: object
                              additionalProperties:
                                discriminator:
                                  propertyName: accountType
                                oneOf:
                                  - type: object
                                    properties:
                                      accountType:
                                        type: string
                                        enum:
                                          - EOA
                                        description: Type of the account
                                        example: EOA
                                    required:
                                      - accountType
                                    additionalProperties: false
                                  - type: object
                                    properties:
                                      accountType:
                                        type: string
                                        enum:
                                          - smartAccount
                                        description: Type of the account
                                        example: smartAccount
                                      isDeployed:
                                        type: boolean
                                        description: >-
                                          Whether the account is deployed on this
                                          chain
                                        example: true
                                      isERC7579:
                                        type: boolean
                                        description: >-
                                          Whether the account supports ERC7579
                                          standard
                                        example: true
                                      erc7579AccountType:
                                        type: string
                                        enum:
                                          - Safe
                                          - Kernel
                                          - Nexus
                                        description: Type of ERC7579 account
                                        example: Safe
                                      erc7579AccountVersion:
                                        type: string
                                        description: Version of the ERC7579 account
                                        example: 1.0.0
                                    required:
                                      - accountType
                                      - isDeployed
                                      - isERC7579
                                    additionalProperties: false
                              description: Account status per chain
                            requiredDelegations:
                              type: object
                              additionalProperties:
                                type: object
                                properties:
                                  contract:
                                    type: string
                                    description: >-
                                      address of contract to which delegation on
                                      behalf of sponsor will be assumed for
                                      given chain ID
                                required:
                                  - contract
                              description: >-
                                Map of chain -> EOA and delegated address
                                required for user to sign for 7702
                                authorizations
                          required:
                            - address
                            - accountContext
                        recipient:
                          type: object
                          properties:
                            address:
                              type: string
                              description: Account address
                              example: '0x579d5631f76126991c00fb8fe5467fa9d49e5f6a'
                            accountType:
                              type: string
                              enum:
                                - smartAccount
                                - GENERIC
                                - EOA
                                - ERC7579
                              description: Account type
                            setupOps:
                              type: array
                              items:
                                type: object
                                properties:
                                  to:
                                    type: string
                                    description: Account deployment factory address
                                    example: '0x579d5631f76126991c00fb8fe5467fa9d49e5f6a'
                                  data:
                                    type: string
                                    pattern: ^0x[a-fA-F0-9]*$
                                    description: Account deployment data
                                    example: 0x...
                                required:
                                  - to
                                  - data
                              description: >-
                                Setup operations for the smart account. Only
                                used if the account is not deployed
                            emissaryConfig:
                              type: object
                              properties:
                                validatorAddress:
                                  type: string
                                  description: Address of the validator contract
                                  example: '0x579d5631f76126991c00fb8fe5467fa9d49e5f6a'
                                emissaryAddress:
                                  type: string
                                  description: Address of the emissary contract
                                  example: '0x579d5631f76126991c00fb8fe5467fa9d49e5f6a'
                                emissaryEnable:
                                  type: object
                                  properties:
                                    allocatorSig:
                                      type: string
                                      pattern: ^0x[a-fA-F0-9]*$
                                      description: Signature of the allocator
                                      example: 0x...
                                    userSig:
                                      type: string
                                      pattern: ^0x[a-fA-F0-9]*$
                                      description: Signature of the user
                                      example: 0x...
                                    expires:
                                      type: integer
                                      format: int64
                                      description: Expiration timestamp
                                      example: '1733493192'
                                    nonce:
                                      type: integer
                                      format: int64
                                      description: Nonce
                                      example: '0'
                                    allChainIds:
                                      type: array
                                      items:
                                        type: integer
                                        format: int64
                                      description: All chain IDs
                                      example:
                                        - 1
                                        - 10
                                        - 137
                                    chainIndex:
                                      type: integer
                                      format: int64
                                      description: Chain index
                                      example: '0'
                                  required:
                                    - allocatorSig
                                    - userSig
                                    - expires
                                    - nonce
                                    - allChainIds
                                    - chainIndex
                                  description: Emissary enable data
                                  example:
                                    allocatorSig: 0x...
                                    userSig: 0x...
                                settings:
                                  type: object
                                  properties:
                                    configId:
                                      type: number
                                      maximum: 255
                                      description: >-
                                        Unique identifier for the emissary
                                        configuration
                                      example: '42'
                                    allocator:
                                      default: >-
                                        0xc7732071e3a1be6cfce6d13bb05699a31a457679
                                      type: string
                                      description: Address of the allocator
                                      example: >-
                                        0x579d5631f76126991c00fb8fe5467fa9d49e5f6a
                                    scope:
                                      default: 0
                                      type: number
                                      description: Scope of the emissary
                                      example: 1
                                    resetPeriod:
                                      default: 6
                                      type: number
                                      description: Reset period of the emissary
                                      example: 1
                                    validator:
                                      type: string
                                      description: Address of the validator
                                      example: >-
                                        0x579d5631f76126991c00fb8fe5467fa9d49e5f6a
                                    validatorConfig:
                                      type: string
                                      pattern: ^0x[a-fA-F0-9]*$
                                      description: Validator configuration
                                      example: 0x...
                                  required:
                                    - configId
                                    - validator
                                    - validatorConfig
                                  description: Emissary configuration
                                  example:
                                    allocator: '0x579d5631f76126991c00fb8fe5467fa9d49e5f6a'
                              required:
                                - validatorAddress
                                - emissaryAddress
                                - emissaryEnable
                                - settings
                              description: >-
                                Emissary configuration for using resource
                                locking
                            mockSignature:
                              type: string
                              pattern: ^0x[a-fA-F0-9]*$
                              description: >-
                                Pre-encoded SSX enable payload with a dummy
                                userSig for gas estimation. When present, the
                                orchestrator etches the simulation emissary and
                                uses this as emissaryData.
                            accountContext:
                              type: object
                              additionalProperties:
                                discriminator:
                                  propertyName: accountType
                                oneOf:
                                  - type: object
                                    properties:
                                      accountType:
                                        type: string
                                        enum:
                                          - EOA
                                        description: Type of the account
                                        example: EOA
                                    required:
                                      - accountType
                                    additionalProperties: false
                                  - type: object
                                    properties:
                                      accountType:
                                        type: string
                                        enum:
                                          - smartAccount
                                        description: Type of the account
                                        example: smartAccount
                                      isDeployed:
                                        type: boolean
                                        description: >-
                                          Whether the account is deployed on this
                                          chain
                                        example: true
                                      isERC7579:
                                        type: boolean
                                        description: >-
                                          Whether the account supports ERC7579
                                          standard
                                        example: true
                                      erc7579AccountType:
                                        type: string
                                        enum:
                                          - Safe
                                          - Kernel
                                          - Nexus
                                        description: Type of ERC7579 account
                                        example: Safe
                                      erc7579AccountVersion:
                                        type: string
                                        description: Version of the ERC7579 account
                                        example: 1.0.0
                                    required:
                                      - accountType
                                      - isDeployed
                                      - isERC7579
                                    additionalProperties: false
                              description: Account status per chain
                            requiredDelegations:
                              type: object
                              additionalProperties:
                                type: object
                                properties:
                                  contract:
                                    type: string
                                    description: >-
                                      address of contract to which delegation on
                                      behalf of sponsor will be assumed for
                                      given chain ID
                                required:
                                  - contract
                              description: >-
                                Map of chain -> EOA and delegated address
                                required for user to sign for 7702
                                authorizations
                          required:
                            - address
                            - accountContext
                        fees:
                          type: object
                          properties:
                            sponsorFee:
                              type: object
                              properties:
                                relayer:
                                  type: number
                                  description: Fee charged by relayer
                                  example: 0.0009
                                protocol:
                                  type: number
                                  description: Fee charged by Rhinestone
                                  example: 0
                              required:
                                - relayer
                                - protocol
                              description: Transaction fees
                            protocolFees:
                              type: object
                              additionalProperties:
                                type: integer
                                format: int64
                              description: Protocol fees by token address (in token units)
                              example:
                                '0x0000000000000000000000000000000000000000': '1000000'
                        executionTokensReceived:
                          type: array
                          items:
                            type: string
                          description: >-
                            Tokens that will be received by EOA executions.
                            These will be swept to the recipient account.
                          example:
                            - '0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913'
                        preClaimExecutions:
                          type: object
                          additionalProperties:
                            type: array
                            items:
                              type: object
                              properties:
                                to:
                                  type: string
                                  description: Target contract address for execution
                                  example: '0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913'
                                value:
                                  type: integer
                                  format: int64
                                  description: Amount of ETH (in wei) sent in the execution
                                  example: '0'
                                data:
                                  type: string
                                  pattern: ^0x[a-fA-F0-9]*$
                                  description: Encoded function call data
                                  example: >-
                                    0xa9059cbb000000000000000000000000579d5631f76126991c00fb8fe5467fa9d49e5f6a00000000000000000000000000000000000000000000000000000000000f4240
                              required:
                                - to
                                - value
                                - data
                            maxItems: 10
                          description: >-
                            User-supplied pre-claim executions included in the
                            bundle, keyed by chain ID.
                      required:
                        - tokenPrices
                        - gasPrices
                        - opGasParams
                        - account
                      description: >-
                        Signed metadata containing prices, fees, and gas
                        parameters
                    signedAuthorizations:
                      type: array
                      items:
                        type: object
                        properties:
                          chainId:
                            type: number
                            description: >-
                              Chain ID for EIP-7702 delegation, 0 means it can
                              be applied to any chain
                            example: 8453
                          address:
                            type: string
                            description: Address of the delegate for EIP-7702 delegation
                            example: '0x579d5631f76126991c00fb8fe5467fa9d49e5f6a'
                          nonce:
                            type: number
                            description: Nonce for EIP-7702 delegation
                            example: '0'
                          yParity:
                            type: number
                            description: Y parity for EIP-7702 delegation
                            example: 27
                          r:
                            type: string
                            pattern: ^0x[a-fA-F0-9]*$
                            description: R value for EIP-7702 delegation
                            example: 0x...
                          s:
                            type: string
                            pattern: ^0x[a-fA-F0-9]*$
                            description: S value for EIP-7702 delegation
                            example: 0x...
                        required:
                          - chainId
                          - address
                          - nonce
                          - yParity
                          - r
                          - s
                      description: >-
                        List of 7702 authorizations signed by EOA matching
                        sponsor
                    recipientSignedAuthorizations:
                      type: array
                      items:
                        type: object
                        properties:
                          chainId:
                            type: number
                            description: >-
                              Chain ID for EIP-7702 delegation, 0 means it can
                              be applied to any chain
                            example: 8453
                          address:
                            type: string
                            description: Address of the delegate for EIP-7702 delegation
                            example: '0x579d5631f76126991c00fb8fe5467fa9d49e5f6a'
                          nonce:
                            type: number
                            description: Nonce for EIP-7702 delegation
                            example: '0'
                          yParity:
                            type: number
                            description: Y parity for EIP-7702 delegation
                            example: 27
                          r:
                            type: string
                            pattern: ^0x[a-fA-F0-9]*$
                            description: R value for EIP-7702 delegation
                            example: 0x...
                          s:
                            type: string
                            pattern: ^0x[a-fA-F0-9]*$
                            description: S value for EIP-7702 delegation
                            example: 0x...
                        required:
                          - chainId
                          - address
                          - nonce
                          - yParity
                          - r
                          - s
                      description: >-
                        List of 7702 authorizations signed by EOA matching
                        recipient account (if present)
                    destinationSignature:
                      type: string
                      pattern: ^0x[a-fA-F0-9]*$
                      description: Destination (target chain) signature
                      example: 0x...
                    targetExecutionSignature:
                      type: string
                      pattern: ^0x[a-fA-F0-9]*$
                      description: Target execution signature
                      example: 0x...
                    originSignatures:
                      type: array
                      items:
                        oneOf:
                          - type: string
                            pattern: ^0x[a-fA-F0-9]*$
                          - type: object
                            properties:
                              preClaimSig:
                                type: string
                                pattern: ^0x[a-fA-F0-9]*$
                              notarizedClaimSig:
                                type: string
                                pattern: ^0x[a-fA-F0-9]*$
                            required:
                              - preClaimSig
                              - notarizedClaimSig
                      description: Origin (source chain) signatures
                      example:
                        - 0x...
                        - 0x...
                    options:
                      type: object
                      properties:
                        dryRun:
                          type: boolean
                          description: Whether to perform a dry run. For internal use only
                          example: true
                  required:
                    - sponsor
                    - nonce
                    - expires
                    - elements
                    - serverSignature
                    - signedMetadata
                    - destinationSignature
                    - originSignatures
              required:
                - signedIntentOp
      responses:
        '201':
          description: '201'
          content:
            application/json:
              schema:
                type: object
                properties:
                  result:
                    oneOf:
                      - type: object
                        properties:
                          id:
                            type: integer
                            format: int64
                            description: Unique identifier
                            example: >-
                              6288024828617617176235460836311142252483529646664720691654196790232050827264
                          status:
                            type: string
                            enum:
                              - PENDING
                            description: Status of the intent operations
                        required:
                          - id
                          - status
                      - type: object
                        properties:
                          id:
                            type: integer
                            format: int64
                            description: Nonce of the intent operations, used as identifier
                          status:
                            type: string
                            enum:
                              - FAILED
                            description: Status of the intent operations
                        required:
                          - id
                          - status
                    description: Intent operation submission results
                required:
                  - result
                description: Intent operations submitted successfully
        '400':
          description: '400'
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          description: Error message
                          example: Invalid input
                        context:
                          nullable: true
                          description: Additional error context
                      required:
                        - message
                  traceId:
                    type: string
                    description: Trace ID
                    example: eb0ba4657f36364b33ec565c15f98368
                required:
                  - errors
                  - traceId
                description: Invalid request parameters
        '500':
          description: '500'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error message describing the server-side issue
                    example: An unknown error occurred
                required:
                  - error
                description: Server error

````